# All Math Programs in One (AMPiO) # Version 1.2.1C # Never Jhonsen # 2018-09-17 #

# 1.2.1C Version Info
#  +  AMPiO v1.2.1C
#     -  Nothing yet, but might get colored? :0
#  +  PythTher v3.2
#     -  Checked and Approved
#  +  MPG-KPL v1.1C
#     -  Comments were fixed
#     -  Complete UI overhaul
#     -  Coloring was adjusted to something nicer
#     -  Variable names were changed to be more stable

# Plans for Future Versions
#  -  Add more Programs
#  -  Add in error checking for Letters and Symbols
#  -  Add in deeper error checking; only checks on Menus
#  -  Fix Choice 0 in MPG-KPL

import math, os               # Importing basic functions
from termcolor import colored, cprint

def clear():                  # Defining 'clear()'
    if (os.name == 'nt'):     # If you're on Windows
        os.system('cls')      # Clear the screen with 'cls'
    else:                     # Otherwise,
        os.system('clear')    # Clear it with 'clear'


clear()                       # Clears the screen
# Main Menu #
print(" ")
print("========== Never Jhonsen ========== v1.2.1 C =========== 2018-09-17 ============")
print(" ")
print("Hello! This program contains a variety of random math programs")
print(" ")
print(" ")
print(" --- --------------------   --- --------------------   --- -------------------- ")
print("| 0 | Exit Program       | | 1 | Pythagorean Theorem| | 2 | MPG-KPL             ")
print(" --- --------------------   --- --------------------   --- -------------------- ")
print("|   |                    | |   |                    | |   |                    |")
print(" --- --------------------   --- --------------------   --- -------------------- ")
print("|   |                    | |   |                    | |   |                    |")
print(" --- --------------------   --- --------------------   --- -------------------- ")
print("|   |                    | |   |                    | |   |                    |")
print(" --- --------------------   --- --------------------   --- -------------------- ")
print(" ")

# Variables Used in this Program! :D
ProgramRunning = True         # When False, the Program is set to close next cycle
CountingOpenList = 0          # This chooses which program to run based on User Input
UserErrorCount = 0            # The Program closes out if the user imputs too many errors
OneTimeUseL = 0               # Yes :)


OneTimeUseL = input("Enter value | ")
if (OneTimeUseL != ""):                                   # Choice "*":     Not Nothing                #
    CountingOpenList = int(OneTimeUseL)
if (OneTimeUseL == ""):                                   # Choice "":      Nothing (Main Program)     #
    clear()
    print("=" * 80)
    print("= ERROR ERROR ERROR ERROR ERROR ERROR EROR ERROR ERROR ERROR ERROR ERROR ERROR =")
    print("=" * 80)
    print(" ")
    print("         You entered Nothing. Please use a number listed on the chart")
    print(" ")
    print(" --- --------------------   --- --------------------   --- -------------------- ")
    print("| 0 | Exit Program       | | 1 | Pythagorean Theorem| |   |                     ")
    print(" --- --------------------   --- --------------------   --- -------------------- ")
    print("|   |                    | |   |                    | |   |                    |")
    print(" --- --------------------   --- --------------------   --- -------------------- ")
    print("|   |                    | |   |                    | |   |                    |")
    print(" --- --------------------   --- --------------------   --- -------------------- ")
    print("|   |                    | |   |                    | |   |                    |")
    print(" --- --------------------   --- --------------------   --- -------------------- ")
    print(" ")
    UserErrorCount = UserErrorCount + 1
    OneTimeUseL = int(input("Enter value | "))
while (ProgramRunning == True):
    if (UserErrorCount >= 5):                             # Error Count                                #
        clear()
        print(" ")
        print("That's it. I'm done. Too many errors")
        print(" ")
        ProgramRunning = False
        input()
    if (CountingOpenList == 0):                           # Choice 0:       Exit Program               #
        print(" ")
        print(" ")
        print("================================================================================")
        print(" ")
        ProgramRunning = False
    if (CountingOpenList <= -1):                          # Choice <= -1:   ERROR: Number too small    #
        clear()
        print("=" * 80)
        print("= ERROR ERROR ERROR ERROR ERROR ERROR EROR ERROR ERROR ERROR ERROR ERROR ERROR =")
        print("=" * 80)
        print(" ")
        print("          Number too small. Please use a number listed on the chart")
        print(" ")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print("| 0 | Exit Program       | | 1 | Pythagorean Theorem| | 2 | MPG-KPL             ")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print("|   |                    | |   |                    | |   |                    |")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print("|   |                    | |   |                    | |   |                    |")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print("|   |                    | |   |                    | |   |                    |")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print(" ")
        UserErrorCount = UserErrorCount + 1
        CountingOpenList = int(input("Enter Value | "))	
    if (CountingOpenList == 1):                           # Choice 1:       Pythagorean Theorem        #
        clear()
        print("=================================== PythTher ===================================")
        print(" ")
        print("                            Pythagreum Thereum v3.2")
        print("                           Created by: Never Jhonsen")
        print(" ")
        print(" ")
        print(" ")
        print(" ")
        print(" ")
        print("   Hello! This program will help you find the third side of a Right Triangle")
        print(" ")
        print("        ---   --------------------            ---   -------------------- ")
        print("       | 0 | | Exit Program       |          | 2 | | Missing Side       |")
        print("        ---   --------------------            ---   -------------------- ")
        print("       | 1 | | Missing Hypotenuse |          |   | |                    |")
        print("        ---   --------------------            ---   -------------------- ")
        print(" ")
        print(" ")
        print(" ")
        print(" ")
        
        
		# Variables used in this Sub-Program
        PythTherProgramRunning = True    # When False, program is set to close next cycle
        PythTherCountingOpenList = 0     # This chooses what section to run based off User Input
        HypoA = 0                        # Variable 1 for missing hypotenuse
        HypoB = 0                        # Variable 2
        HypoC = 0                        # Yes
        HypoD = 0                        # Yes
        SideA = 0                        # Yes
        SideB = 0                        # Yes
        SideC = 0                        # Yes
        SideD = 0                        # Yes
        
        PythTherCountingOpenList = int(input("Enter Value | "))
        while (PythTherProgramRunning == True):
            if (PythTherCountingOpenList <= -1):          # Choice <= -1:   ERROR: Number too small    #
                clear()
                print(" ")
                print("=" * 80)
                print("=                                                                              =")
                print("= ERROR ERROR ERROR ERROR ERROR ERROR EROR ERROR ERROR ERROR ERROR ERROR ERROR =")
                print("=                                                                              =")
                print("=" * 80)
                print(" ")
                print("   Number too low. Please use a number listed on the chart")
                print(" ")
                print(" ")
                print(" ")
                print("        ---   --------------------            ---   -------------------- ")
                print("       | 0 | | Exit Program       |          | 2 | | Missing Side       |")
                print("        ---   --------------------            ---   -------------------- ")
                print("       | 1 | | Missing Hypotenuse |          |   | |                    |")
                print("        ---   --------------------            ---   -------------------- ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                PythTherCountingOpenList = int(input("Enter value | "))
            if (PythTherCountingOpenList == 0):           # Choice 0:       Exit Program               #
                print(" ")
                print("Closing program . . . Have a boring day :\ ")
                print(" ")
                PythTherProgramRunning = False
                ProgramRunning = False
            if (PythTherCountingOpenList == 1):           # Choice 1:       Missing Hypotenuse         #
                clear()
                print("==================================== PythTher ==================================")
                print(" ")
                print("                           ---    -------------------- ")
                print("                          | 1 |  | Missing Hypotenuse |")
                print("                           ---    -------------------- ")
                print(" ")
                HypoA = int(input("                   Please enter the first side | "))
                print(" ")
                HypoB = int(input("                   Now enter your second side  | "))
                HypoC = math.pow(HypoA,2) + math.pow(HypoB,2)
                HypoD = math.sqrt(HypoC)
                print(" ")
                print("                                     --------------------")
                print("                   The missing side | {}" .format(HypoD))
                print("                                     --------------------")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                input("Press Enter to Continue . . . ")
                PythTherProgramRunning = False
                ProgramRunning = False
            if (PythTherCountingOpenList == 2):           # Choice 2:       Missing Side               #
                clear()
                print("==================================== PythTher ==================================")
                print(" ")
                print("                           ---    -------------------- ")
                print("                          | 2 |  | Missing Side       |")
                print("                           ---    -------------------- ")
                print(" ")
                SideA = int(input("                   Please enter your side     | "))
                print(" ")
                SideB = int(input("                   Now enter the hypotenuse   | "))
                SideC = math.pow(SideB,2) - math.pow(SideA,2)
                SideD = math.sqrt(SideC)
                print(" ")
                print("                                     --------------------")
                print("                   The missing side | {}" .format(SideD))
                print("                                     --------------------")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                input("Press Enter to Continue . . . ")
                PythTherProgramRunning = False
                ProgramRunning = False
            if (PythTherCountingOpenList >= 3):           # Choice >= 3:    ERROR: Number too large    #
                clear()
                print(" ")
                print("=" * 80)
                print("=                                                                              =")
                print("= ERROR ERROR ERROR ERROR ERROR ERROR EROR ERROR ERROR ERROR ERROR ERROR ERROR =")
                print("=                                                                              =")
                print("=" * 80)
                print(" ")
                print("   Number too high. Please use a number listed on the chart")
                print(" ")
                print(" ")
                print(" ")
                print("        ---   --------------------            ---   -------------------- ")
                print("       | 0 | | Exit Program       |          | 2 | | Missing Side       |")
                print("        ---   --------------------            ---   -------------------- ")
                print("       | 1 | | Missing Hypotenuse |          |   | |                    |")
                print("        ---   --------------------            ---   -------------------- ")
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                PythTherCountingOpenList = int(input("Enter value | "))
    if (CountingOpenList == 2):                           # Choice 2:       MPG to KPL and back again  #

        def clear():                  # Defining 'clear()'
            if (os.name == 'nt'):     # If you're on Windows
                os.system('cls')      # Clear the screen with 'cls'
            else:                     # Otherwise,
                os.system('clear')    # Clear it with 'clear'
        clear()                       # Clears the screen

        #  And now for some Text User Interface formatting :D
        cprint("================================[ MPG to KPL ]==================================", "cyan", "on_blue")
        print(" ")
        print(" ")
        cprint("    Hello! This program will convert MPG into KPL, and back again", "green")
        print(" ")
        print(" ")
        cprint("       ---    -----------------------                                          ", "green")
        cprint("      | 0 |  | EXIT                  |                                         ", "green")
        cprint("       ---    -----------------------       ---    -----------------------     ", "green")
        cprint("      | 1 |  | MPG (US) to KPL       |     | 4 |  | KPL to MPG (US)       |    ", "green")
        cprint("       ---    -----------------------       ---    -----------------------     ", "green")
        cprint("      | 2 |  | KPL to MPG (EUR)      |     | 5 |  | MPG (EUR) to KPL      |    ", "green")
        cprint("       ---    -----------------------       ---    -----------------------     ", "green")
        cprint("      | 3 |  | MPG (US) to MPG (EUR) |     | 6 |  | MPG (EUR) to MPG (US) |    ", "green")
        cprint("       ---    -----------------------       ---    -----------------------     ", "green")
        print(" ")
        print(" ")

        #  Time for variable defining!
        MPGKPLProgramRunning = True      # When False, program will close
        MPGKPLCountingOpenList = 0       # Variable for what the User chooses

        #  And now to ask the user for his choice
        #  Using 'MPGKPLCountingOpenList', each user prompt will take the integer of what the user inputs.
        #    Yes, int isn't really the best thing here, but maybe in a later version that'll change
        #  /Description of how input works/
        MPGKPLCountingOpenList = int(input(" Enter your first choice here < "))

        while (MPGKPLProgramRunning == 1):      # While 'e' is true, and . ..

            if (MPGKPLCountingOpenList < 0):      # If 'h' is less than Zero,
        
                # This area runs if the user inputs a number less than Zero. Basically, all it does
                # is state the error to theuser, and reprompts the choice
        
                clear()      # First, clear the screen
        
                # Little bitta TUI here
                cprint("================================= MPG to KPL ===================================", "cyan", "on_blue")
                print(" ")
                cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
                cprint("        You entered a number less than Zero. Please enter a listed number       ", "red")
                cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
                print(" ")
                cprint("       ---    -----------------------                                          ", "green")
                cprint("      | 0 |  | EXIT                  |                                         ", "green")
                cprint("       ---    -----------------------       ---    -----------------------     ", "green")
                cprint("      | 1 |  | MPG (US) to KPL       |     | 4 |  | KPL to MPG (US)       |    ", "green")
                cprint("       ---    -----------------------       ---    -----------------------     ", "green")
                cprint("      | 2 |  | KPL to MPG (EUR)      |     | 5 |  | MPG (EUR) to KPL      |    ", "green")
                cprint("       ---    -----------------------       ---    -----------------------     ", "green")
                cprint("      | 3 |  | MPG (US) to MPG (EUR) |     | 6 |  | MPG (EUR) to MPG (US) |    ", "green")
                cprint("       ---    -----------------------       ---    -----------------------     ", "green")
                print(" ")
                print(" ")

                # Askin' for the user's input again
                MPGKPLCountingOpenList = int(input(" Re-enter your choice again < "))
                # And now the program returns back into the overall cycle of the While loop
        
            if (MPGKPLCountingOpenList > 6):      # If the user puts in a number greater than 6; more error checking
        
                clear()      # First, clear the screen
        
                # Little bita TUI here
                cprint("================================= MPG to KPL ===================================", "cyan", "on_blue")
                print(" ")
                cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
                cprint("      You entered a number greater than six. Please enter a listed number       ", "red")
                cprint("     ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !      ", "red")
                print(" ")
                cprint("       ---    -----------------------                                          ", "green")
                cprint("      | 0 |  | EXIT                  |                                         ", "green")
                cprint("       ---    -----------------------       ---    -----------------------     ", "green")
                cprint("      | 1 |  | MPG (US) to KPL       |     | 4 |  | KPL to MPG (US)       |    ", "green")
                cprint("       ---    -----------------------       ---    -----------------------     ", "green")
                cprint("      | 2 |  | KPL to MPG (EUR)      |     | 5 |  | MPG (EUR) to KPL      |    ", "green")
                cprint("       ---    -----------------------       ---    -----------------------     ", "green")
                cprint("      | 3 |  | MPG (US) to MPG (EUR) |     | 6 |  | MPG (EUR) to MPG (US) |    ", "green")
                cprint("       ---    -----------------------       ---    -----------------------     ", "green")
                print(" ")
                print(" ")
                # Askin' for the user's input again
                MPGKPLCountingOpenList = int(input(" Enter your choice here < "))
        
            if (MPGKPLCountingOpenList == 0):      # If the user enters a Zero
        
                # Little bitta TUI here
                print(" ")
                print(" ")
                print(" ")
                cprint("=" * 80, "cyan", "on_blue")
        
                MPGKPLProgramRunning = False         # Setting 'MPGKPLProgramRunning' to False, thus closing the program
                ProgramRunning = False
                
            if (MPGKPLCountingOpenList == 1):        # If the user enters a 1
        
                clear()       # Clear the screen, of course
        
                # Little bita TUI here
                cprint("================================[ MPGU >> KPL  ]================================", "cyan", "on_blue")
                print(" ")
                cprint("    So now we're gonna change Miles Per Gallon (US) into Kilometers per Liter.", "green")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is thatwe needta change MPG (US) into KPL. In order to do that,
                #    we multiply MPG (US) by 0.4251, and that should get us our total. Now, we can't just
                #    be usin' Integers like we were with the user inputs eariler, because the user may
                #    want a precise answer, so this time, we're gonna use Floats.
        
                # Askin' the user for their Miles per Gallon
                mpgu = float(input("  Enter your MPGU here < "))
                # Converting MPG (US) into KPL
                kpl = mpgu * 0.4251
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                print("      And your answer is . . . {}" .format(kpl))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
        
                # This line waits for the user to hit any key (preferably the ENTER key), before
                #  contuining the program
                input("  Press ENTER to contuine . . . ")
                MPGKPLProgramRunning = False         # Setting 'MPGKPLProgramRunning' to False, thus closing the program
                ProgramRunning = False
        
        
            if (MPGKPLCountingOpenList == 2):      # If the user enters a 2
    
                clear()       # Clear the screen
        
                # Little bitta TUI formatting
                cprint("================================[ KPL  >> MPGU ]================================", "cyan", "on_blue")
                print(" ")
                cprint("    So now we're gonna change Kilometers per Liter into Miles Per Gallon (Eur).", "green")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change KPL into MPG (EUR). In order to do that,
                #    we multiply KPL by 2.825, and that should get us our total. Now, we can't just
                #    be usin' Integers like we were with the user inputs eariler, because the user may want
                #    a precise answer, so this time, we're gonna use Floats.
        
                # User enters their number
                kpl = float(input("  Enter your KPL here < "))
                # Converting KPL to MPG (EUR)
                mpge = kpl * 2.825
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . .{}" .format(mpge))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
                
                # This line waits for the user to hit any key (Preferably the enter key), before
                #  contuining the program
                input(" Press ENTER to contuine . . . ")
                MPGKPLProgramRunning = False         # Setting 'MPGKPLProgramRunning' to False, thus closing the program
                ProgramRunning = False
        
                
            if (MPGKPLCountingOpenList == 3):      # If the user inputs a 3
    
                clear()       # Clear the screen
        
                # Little bitta TUI Formatting
                cprint("================================[ MPGU >> MPGE ]================================", "cyan", "on_blue")
                print(" ")
                cprint("    So now we're gonna change Miles per Gallon (US) into Miles Per Gallon (EUR).", "green")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change MPG (US) into MPG (Eur). In order to do
                #    that, we multiply KPL by 2.825, and that should get us our total. Now, we can't
                #    just be usin' Integers like we were with the user inputs eariler, because the user
                #    may want a precise answer, so this time, we're gonna use Floats.
        
                # User enters their number here
                mpgu = float(input(" Enter your MPGU here < "))
                # Converting MPG (US) into MPG (EUR)
                mpge = 1.201 * mpgu
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . . {}" .format(mpge))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
        
                # This line waits for the user to hit any key (Preferably the ENTER key), before
                #  contuining the program
                input("Press Enter to contuine . . . ")
                MPGKPLProgramRunning = False         # Setting 'MPGKPLProgramRunning' to False, thus closing the program
                ProgramRunning = False
        
        
            if (MPGKPLCountingOpenList == 4):        # If the user puts a 4
        
                clear()       # This clears the screen
        
                # A little bitta TUI Formatting
                cprint("================================[ KPL  >> MPGU ]================================", "cyan", "on_blue")
                print(" ")
                cprint("    So now we're gonna change Kilometers per Liter into Miles Per Gallon (US).", "green")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change KPL into MPG (US). In order to do
                #    that, we multiply KPL by 2.353, and that should get us our total. Now, we can't
                #    just be usin' Integers like we were with the user inputs eariler, because the user
                #    may want a precise answer, so this time, we're gonna use Floats.
        
                # User enters their number here
                kpl = float(input(" Enter your KPL here < "))
                # Converting KPL into MPG (US)
                mpgu = kpl * 2.353
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . . {}" .format(mpgu))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
        
                # This line waits for the user to hit any key (Preferably the ENTER key), before
                #  contuining the program
                input("Press Enter to contuine . . . ")
                MPGKPLProgramRunning = False         # Setting 'MPGKPLProgramRunning' to False, thus closing the program
                ProgramRunning
        
        
            if (MPGKPLCountingOpenList == 5):      # If the user puts a 5
        
                clear()       # Clearing the terminal screen
        
                # Lille bitta TUI Formatting
                cprint("================================[ MPGE >> KPU  ]================================", "cyan", "on_blue")
                print(" ")
                cprint("    So now we're gonna change Miles per Gallon (EUR) into Kilometers per liter.", "green")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change MPG (EUR) to KPL. In order to do
                #    that, we multiply MPG (EUR) by 0.354, and that should get us our total. Now, we
                #    can't just be usin' Integers like we were with the user inputs eariler, because
                #    the user may want a precise answer, so this time, we're gonna use Floats.
        
                # user inputs their number here
                mpge = float(input(" Enter your MPGE here < "))
                # Converting MPG (EUR) into KPL
                kpl = mpge * 0.354
        
                #Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . . {}" .format(kpl))
                print(" ")
                print(" ")
                print(" ")
                print(" ")
        
                # This line waits for the user to hit any key (Preferably the ENTER key), before
                #  contuining the program
                input("Press Enter to contuine . . . ")
                MPGKPLProgramRunning = False         # Setting 'MPGKPLProgramRunning' to False, thus closing the program
                ProgramRunning = False
        
        
            if (MPGKPLCountingOpenList == 6):      # If the user puts a 6
        
                clear()       # Clear the terminal screen
        
                # Little bitta TUI Formatting
                cprint("================================[ MPGE >> MPGU  ]================================", "cyan", "on_blue")
                print(" ")
                cprint("    So now we're gonna change Miles per Gallon (EUR) into Miles per Gallon (US).", "green")
                print(" ")
                print(" ")
                print(" ")
        
                #  And here's the formula
                #  So how this works, is that we needta change MPG (EUR) to MPG (US). In order to do
                #    that, we multiply MPG (EUR) by 0.833, and that should get us our total. Now, we
                #    can't just be usin' Integers like we were with the user inputs eariler, because
                #    the user may want a precise answer, so this time, we're gonna use Floats.
        
                # User inputs their number here
                mpge = float(input(" Enter your MPGE here < "))
                # Converting MPG (EUR) into MPG (US)
                mpgu = 0.833 * mpge
        
                # Little more TUI stuff
                print(" ")
                print(" ")
                print(" ")
                # Printing the user's answer to the screen in a nice TUI way
                print("      And your answer is . . . {}" .format(mpgu))
                print(" ")
                print(" ")
                print(" ")
        
                # This line waits for the user to hit any key (Preferably the ENTER key), before
                #  contuining the program
                input("Press Enter to contuine . . . ")
                MPGKPLProgramRunning = False         # Setting 'MPGKPLProgramRunning' to False, thus closing the program
                ProgramRunning
    if (CountingOpenList > 2):                            # Choice > 2:     ERROR: Number too large    #
        clear()
        print("=" * 80)
        print("= ERROR ERROR ERROR ERROR ERROR ERROR EROR ERROR ERROR ERROR ERROR ERROR ERROR =")
        print("=" * 80)
        print(" ")
        print("          Number too large. Please use a number listed on the chart")
        print(" ")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print("| 0 | Exit Program       | | 1 | Pythagorean Theorem| | 2 | MPG-KPL             ")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print("|   |                    | |   |                    | |   |                    |")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print("|   |                    | |   |                    | |   |                    |")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print("|   |                    | |   |                    | |   |                    |")
        print(" --- --------------------   --- --------------------   --- -------------------- ")
        print(" ")
        CountingOpenList = int(input("Enter Value | "))
        UserErrorCount = UserErrorCount + 1
    if (CountingOpenList == ""):                          # Choice "":      Nothing                    #
        clear()
        print("=" * 80)
        print("=", " " * 76, "=")
        print("=", " ERROR " * 11, "=")
        print("=", " " * 76, "=")
        print("=" * 80)
        print(" ")
        print(" ")
        print("                          You entered nothing")
        print("                      Please enter a listed value")
        print(" ")
        UserErrorCount = UserErrorCount + 1
        CountingOpenList = int(input("Enter value | "))






